#!/bin/sh
#
# An rc.subr-style startup script for courier-authdaemond service.

# PROVIDE: courier_authdaemond
# REQUIRE: LOGIN
# KEYWORD: FreeBSD shutdown

# Define these courier_authdaemond_* variables in one of these files:
# 	/etc/rc.conf
# 	/etc/rc.conf.local
# 	/etc/rc.conf.d/courier_authdaemond
#
# DO NOT CHANGE THESE DEFAULT VALUES HERE

courier_authdaemond_enable=${courier_authdaemond_enable-"NO"}

. /usr/local/etc/rc.subr

name="courier_authdaemond"
rcvar=`set_rcvar`
command="/usr/local/sbin/authdaemond"

start_cmd="authdaemond_cmd start"
stop_cmd="authdaemond_cmd stop"
restart_cmd="authdaemond_cmd stop && authdaemond_cmd start"

load_rc_config $name

authdaemond_cmd () {
	case $1 in
	start)
		echo "Starting ${name}."
		${command} start
		;;
	stop)
		echo "Stopping ${name}."
		${command} stop
		;;
	esac
}

run_rc_command "$1"

